import * as React from "react";
interface Mapped<T> {
    [key: string]: T;
}
export declare const SelectionTab: React.FunctionComponent<import("emotion-theming/types/helper").AddOptionalTo<React.ClassAttributes<HTMLDivElement> & React.HTMLAttributes<HTMLDivElement> & {
    isValid?: boolean | undefined;
} & {
    theme?: any;
} & React.Attributes, "theme">>;
interface State<T> {
    selection: Mapped<T>;
}
interface Props<T> {
    excludeIds?: number[];
    items: Mapped<T>;
    placeholder: string;
    disabled?: boolean;
    errorMessageMap?: {
        [key: number]: string;
    };
    onSelect(selection: Mapped<T>, item: T): void;
    itemToString(item: T): string;
    getItemIndex(item: T | null): number;
    renderTabs?(item: T, onClick: (item: T) => void): React.ReactNode;
}
export declare class MultiSelectionBox<T = any> extends React.Component<Props<T>, State<T>> {
    static defaultProps: {
        errorMessageMap: {};
        items: {};
        placeholder: string;
    };
    state: {
        selection: Mapped<T>;
    };
    clearSelection: any;
    handleSelection: (item: T) => void;
    select: (item: T) => void;
    deselect: (item: T) => void;
    getSelectionArray: (collection: Mapped<T>) => T[];
    isInSelection: (item: T) => T;
    renderTabs: (item: T, onClick: (item: T) => void) => JSX.Element;
    render(): JSX.Element;
}
export {};
