export declare type Theme = typeof theme;
export interface WithTheme {
    theme: Partial<Theme>;
}
export declare type ShadowKeys = keyof typeof shadows;
export declare const shadows: {
    inset: string;
    level1: string;
    level2: string;
    level3: string;
    level4: string;
    level5: string;
    level6: string;
};
export declare const breakPoints: {
    laptop: string;
    mobile: string;
    mobileRange: string;
    tablet: string;
};
export declare const theme: {
    border: string;
    borderRadius: string;
    breakPoints: {
        laptop: string;
        mobile: string;
        mobileRange: string;
        tablet: string;
    };
    componentBackgroundDark: string;
    componentBackgroundLight: string;
    componentHover: string;
    font: string;
    fontFamily: string;
    green: string;
    greenHover: string;
    greenLight: string;
    greenText: string;
    grey: string;
    hover: string;
    inactive: string;
    inputShadow: string;
    laptop: string;
    lightGrey: string;
    mainBackground: string;
    mobile: string;
    pc: string;
    primary: string;
    red: string;
    redHover: string;
    redLight: string;
    redText: string;
    shadows: {
        inset: string;
        level1: string;
        level2: string;
        level3: string;
        level4: string;
        level5: string;
        level6: string;
    };
    tablet: string;
    text: string;
    textHighlight: string;
    textSubtile: string;
    themedBlack: string;
    themedWhite: string;
    white: string;
    buttonCancelFont: string;
    buttonCancelBackground: string;
    buttonAcceptFont: string;
    buttonAcceptBackground: string;
    buttonGreenBackground: string;
    buttonGreenFont: string;
    buttonRedBackground: string;
    buttonRedFont: string;
    buttonDefaultBackground: string;
    buttonDefaultFont: string;
    buttonDisabled: string;
    textButtonFont: string;
    defaultFillColor: string;
};
export declare const resetCss: string;
export declare const baseCss: string;
